Comments

26 Comments
karma

Seems to work, fixes problem with 'toolbox create' on Silverblue for me.

Seems to work correctly including three.js webgl examples, sound/video playback on youtube.

test.webrtc.org doesn't work, but I'm not sure if it's expected to.

BZ#1727574 Fedora flatpak for this app on registry.fedoraproject.org

Works great

BZ#1724271 Review Request: libmodulemd2 - Module metadata manipulation library
%package -n python%{python3_pkgversion}-%{name}
Summary: Python 3 bindings for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python-gobject-base
          ^^^^^^^^^^^^^^^
Requires: python%{python3_pkgversion}-six

python-gobject-base also needs the python%{python3_pkgversion} treatment. Otherwise looks good (tried some simple API usage with both python2 and python3)

Works well for building Flatpaks locally

BZ#1730552 rhpkg module-build-local failed with: AttributeError: 'ModuleStreamV2' object has no attribute 'dump'
karma

Tested rpm2flatpak functionality and checks that it now does f30

BZ#1690381 fedmod is still fedora 29
BZ#1720583 fedmod doesn't know --dataset f30

Seems to work - get sound, graphics, can start a "quick race"

Seems to work (can start it, get graphics/sound, start tutorial)

Seems to work

Checked that preserving toolbox status for new tabs works, and that line wrapping at the command prompt is no longer messed up.

Works for me.

This is tagged as security, because this version of the Flatpak runtime container, as compared to the latest released version, it contains subpackages of the following packages with security updates:

These are almost certainly not all relevant in the Flatpak context (especially the systemd ones) - would need to analyze both the included subpackages and the content of those security updates to figure out what are the relevant CVEs.

(This went a long time without a rebuild - in general, we'll plan on much more frequent rebuilds of the runtime to pick up security fixes.)

Breaks building Flatpaks in a container because of the bwrap invocation added to flatpak build-export - see:

https://github.com/projectatomic/atomic-reactor/pull/1160#issuecomment-460222846

https://github.com/flatpak/flatpak/pull/2661

Will file new updates with a patch for --disable-sandbox.

In testing, it worked other than one regression I found - see https://pagure.io/modularity/fedmod/pull-request/98

Ah - I didn't see that because python2-2.7.15-7.fc29 is not in the latest successful compose of F29 - the latest compose still has -6. My comment stands about being nicer not to ship f29 that way, but is irrelevant to this particular update. :-)

make is a dependency of compat-openssl10, other things are dependencies of make.

Not going to add -1 karma, but will note that this (because of https://bugzilla.redhat.com/show_bug.cgi?id=1609291) adds: openssl10-compat, make, guile, libatomic-ops to the dependencies of python2-libs ... definitely nicer if we can avoid shipping Fedora 29 that way!

karma

Works well for me

karma

Turns out that a change to libmodulemd in June broke the operation of fedmod - I didn't notice in the past since was testing against f27. See https://pagure.io/modularity/fedmod/pull-request/84 for the fix. Neither rpm2module or rpm2flatpak will work correctly.